Bug 1285785 - Out-of-sync non-required network causes host to become non-operational
Out-of-sync non-required network causes host to become non-operational
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
x86_64 Linux
low Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: bugs@ovirt.org
Meni Yakove
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 08:15 EST by Meni Yakove
Modified: 2017-11-03 05:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)
engine log (162.81 KB, application/zip)
2015-11-26 08:15 EST, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2015-11-26 08:15:07 EST
Created attachment 1099280 [details]
engine log

Description of problem:
When VM network is attached to host and the network changed to be non-VM the host become non-operational even when the network is not 'required'



Version-Release number of selected component (if applicable):
rhevm-3.6.1-0.2.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create VM network and attach it to host
2. Update the network to be non-VM (via UI network tab, wait for Successfully applied changes for network... in events)
3. Stop vdsmd service on the host
4. Update the network to bo VM network
5. Start vdsmd service on the host

 
Actual results:
Host is non-operational

Expected results:
Host is up

Additional info:
ERROR [org.ovirt.engine.core.bll.SetNonOperationalVdsCommand] (DefaultQuartzScheduler_Worker-64) [3cd92061] Host 'host_mixed_1' is set to Non-Op
erational, the following networks are implemented as non-VM instead of a VM networks: 'net1'
Comment 1 Yaniv Kaul 2015-11-26 10:18:22 EST
Is this a regression?
Comment 2 Alona Kaplan 2015-11-29 08:06:32 EST
Looking at the code, seems the behavior in 3.6 is the same as 3.5.
Also tried to verify it on 3.5 environment and I got this error on 'non-required' network.

The old relevant code-
https://gerrit.ovirt.org/#/c/33905/5/backend/manager/modules/vdsbroker/src/main/java/org/ovirt/engine/core/vdsbroker/vdsbroker/CollectVdsNetworkDataVDSCommand.java

The new relevant code-
https://gerrit.ovirt.org/#/c/33905/5/backend/manager/modules/vdsbroker/src/main/java/org/ovirt/engine/core/vdsbroker/vdsbroker/HostNetworkTopologyPersisterImpl.java

In both of the cases 'getVmNetworksImplementedAsBridgeless(..)' which is responsible for retrieving the problematic networks looks the same. It ignores the 'isRequired' property.

Note- the error will be displayed only if the 'non-required' networks is attached to the host. Maybe it is the cause to the misunderstanding?
Comment 3 Meni Yakove 2015-12-01 01:44:55 EST
In this case the network is 'non-required' and attach to the host and the network in unsynced, as far as I know the host should be operational since the network is 
'non-required'.
Comment 4 Dan Kenigsberg 2015-12-09 04:36:17 EST
We may need to rethink the semantics of "non-required", so that a non-required network may be out-of-sync without affecting the host operation status.

Note You need to log in before you can comment on or make changes to this bug.